package sprzedaz;

import javax.swing.*;
import java.math.BigDecimal;
import java.util.List;

public class SumaWJednymMiescie_Funkcyjnie {
    public static void main(String[] args) {
        List<Rekord> lista = ObslugaCSV.wczytaj();
        String miasto = JOptionPane.showInputDialog("Podaj nazwę miasta");
        if(miasto == null) return;

        // wersja BigDecimal
        BigDecimal suma = lista.stream()
                .filter(r -> miasto.equalsIgnoreCase(r.miasto()))
                .map(Rekord::wartosc)
                .reduce(BigDecimal.ZERO, BigDecimal::add)
                ;

        // wersja double
        double sumaD = lista.stream()
                .filter(r -> miasto.equalsIgnoreCase(r.miasto()))
                .mapToDouble(Rekord::wartoscDouble)
                .sum();

        JOptionPane.showMessageDialog(null,
                "Suma BD = " + suma + "\nSuma db = " + sumaD);
    }
}
